<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate.FoundThis
?>
<?php
/**
 * Catalog advanced search form
 *
 * @var $block \Magento\CatalogSearch\Block\Advanced\Form
 */
?>
<?php $maxQueryLength = $this->helper(\Magento\CatalogSearch\Helper\Data::class)->getMaxQueryLength();?>
<form class="form search advanced" action="<?= $block->escapeUrl($block->getSearchPostUrl()) ?>" method="get" id="form-validate">
<fieldset class="fieldset">
    <legend class="legend"><span><?= $block->escapeHtml(__('Search Settings')) ?></span></legend><br />
    <?php foreach ($block->getSearchableAttributes() as $_attribute) : ?>
        <?php $_code = $_attribute->getAttributeCode() ?>
        <div class="field <?= $block->escapeHtmlAttr($_code) ?>">
            <label class="label" for="<?= $block->escapeHtmlAttr($_code) ?>">
                <span><?= $block->escapeHtml(__($block->getAttributeLabel($_attribute))) ?></span>
            </label>
            <div class="control">
                <?php
                switch ($block->getAttributeInputType($_attribute)) :
                    case 'number':
                        ?>
                <div class="range fields group group-2">
                    <div class="field no-label">
                        <div class="control">
                            <input type="text"
                                   name="<?= $block->escapeHtmlAttr($_code) ?>[from]"
                                   value="<?= $block->escapeHtmlAttr($block->getAttributeValue($_attribute, 'from')) ?>"
                                   id="<?= $block->escapeHtmlAttr($_code) ?>"
                                   title="<?= $block->escapeHtmlAttr($block->getAttributeLabel($_attribute)) ?>"
                                   class="input-text"
                                   maxlength="<?= $block->escapeHtmlAttr($maxQueryLength) ?>"
                                   data-validate="{number:true, 'less-than-equals-to':'#<?= $block->escapeHtmlAttr($_code) ?>_to'}" />
                        </div>
                    </div>
                    <div class="field no-label">
                        <div class="control">
                            <input type="text"
                                   name="<?= $block->escapeHtmlAttr($_code) ?>[to]"
                                   value="<?= $block->escapeHtmlAttr($block->getAttributeValue($_attribute, 'to')) ?>"
                                   id="<?= $block->escapeHtmlAttr($_code) ?>_to"
                                   title="<?= $block->escapeHtmlAttr($block->getAttributeLabel($_attribute)) ?>"
                                   class="input-text"
                                   maxlength="<?= $block->escapeHtmlAttr($maxQueryLength) ?>"
                                   data-validate="{number:true, 'greater-than-equals-to':'#<?= $block->escapeHtmlAttr($_code) ?>'}" />
                        </div>
                    </div>
                </div>
                        <?php
                        break;
                    case 'price':
                        ?>
                <div class="range price fields group group-2">
                    <div class="field no-label">
                        <div class="control">
                            <input name="<?= $block->escapeHtmlAttr($_code) ?>[from]"
                                   value="<?= $block->escapeHtmlAttr($block->getAttributeValue($_attribute, 'from')) ?>"
                                   id="<?= $block->escapeHtmlAttr($_code) ?>"
                                   title="<?= $block->escapeHtmlAttr($block->getAttributeLabel($_attribute)) ?>"
                                   class="input-text"
                                   type="text"
                                   maxlength="<?= $block->escapeHtmlAttr($maxQueryLength) ?>"
                                   data-validate="{number:true, 'less-than-equals-to':'#<?= $block->escapeHtmlAttr($_code) ?>_to'}" />
                        </div>
                    </div>
                    <div class="field with-addon no-label">
                        <div class="control">
                            <div class="addon">
                                <input name="<?= $block->escapeHtmlAttr($_code) ?>[to]"
                                       value="<?= $block->escapeHtmlAttr($block->getAttributeValue($_attribute, 'to')) ?>"
                                       id="<?= $block->escapeHtmlAttr($_code) ?>_to"
                                       title="<?= $block->escapeHtmlAttr($block->getAttributeLabel($_attribute)) ?>"
                                       class="input-text"
                                       type="text"
                                       maxlength="<?= $block->escapeHtmlAttr($maxQueryLength) ?>"
                                       data-validate="{number:true, 'greater-than-equals-to':'#<?= $block->escapeHtmlAttr($_code) ?>'}" />
                                <label class="addafter"
                                       for="<?= $block->escapeHtmlAttr($_code) ?>_to">
                                    <?= $block->escapeHtml($block->getCurrency($_attribute)) ?>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                        <?php
                        break;
                    case 'select':
                        ?>
                        <?= /* @noEscape */ $block->getAttributeSelectElement($_attribute) ?>
                        <?php
                        break;
                    case 'yesno':
                        ?>
                        <?= /* @noEscape */ $block->getAttributeYesNoElement($_attribute) ?>
                        <?php
                        break;
                    case 'date':
                        ?>
                <div class="range dates fields group group-2">
                    <div class="field date no-label">
                        <div class="control">
                            <?= /* @noEscape */ $block->getDateInput($_attribute, 'from') ?>
                        </div>
                    </div>
                    <div class="field date no-label">
                        <div class="control">
                            <?= /* @noEscape */ $block->getDateInput($_attribute, 'to') ?>
                        </div>
                    </div>
                </div>
                        <?php
                        break;
                    default:
                        ?>
                <input type="text"
                       name="<?= $block->escapeHtmlAttr($_code) ?>"
                       id="<?= $block->escapeHtmlAttr($_code) ?>"
                       value="<?= $block->escapeHtmlAttr($block->getAttributeValue($_attribute)) ?>"
                       title="<?= $block->escapeHtmlAttr($block->getAttributeLabel($_attribute)) ?>"
                       class="input-text <?= $block->escapeHtmlAttr($block->getAttributeValidationClass($_attribute)) ?>"
                       maxlength="<?= $block->escapeHtmlAttr($maxQueryLength) ?>" />
            <?php endswitch; ?>
            </div>
        </div>
    <?php endforeach; ?>
</fieldset>
<div class="actions-toolbar">
  <div class="primary">
    <button type="submit"
            class="action primary"
            title="<?= $block->escapeHtmlAttr(__('Search')) ?>">
        <span><?= $block->escapeHtml(__('Search')) ?></span>
    </button>
  </div>
</div>
</form>
<script>
require([
    "jquery",
    "mage/mage",
    "mage/validation"
], function($){
    $('#form-validate').mage('validation', {
            errorPlacement: function (error, element) {
                var parent = element.parent();
                if (parent.hasClass('range')) {
                    parent.find(this.errorElement + '.' + this.errorClass).remove().end().append(error);
                } else {
                    error.insertAfter(element);
                }
            },
            messages: {
                'price[to]': {'greater-than-equals-to': '<?= $block->escapeJs(__('Please enter a valid price range.')) ?>'},
                'price[from]': {'less-than-equals-to': '<?= $block->escapeJs(__('Please enter a valid price range.')) ?>'}
            }
        });
});
</script>
